Box Hub Callout Box Text Block
A callout box block in the Box Hub Document.Attributes and example
Attributes and example
| Property | Type | Required | Description |
|---|---|---|---|
id | string | Yes | The unique identifier for this block. |
parent_id | string | No | The unique identifier of the parent block. Null for direct children of the page. Can be null. |
type | enum<string> | Yes | The type of this block. The value is always callout_box. Available options: callout_box. |
fragment | string | Yes | Text content of the block. Includes rich text formatting. |
Example
Box Hub Divider Block
A divider block in the Box Hub Document.Attributes and example
Attributes and example
| Property | Type | Required | Description |
|---|---|---|---|
id | string | Yes | The unique identifier for this block. |
parent_id | string | No | The unique identifier of the parent block. Null for direct children of the page. Can be null. |
type | enum<string> | Yes | The type of this block. The value is always divider. Available options: divider. |
Example
Box Hub Document Blocks
A list of Hub Document blocks.Attributes and example
Attributes and example
| Property | Type | Required | Description |
|---|---|---|---|
entries | array of Box Hub Document Block Entry | Yes | Ordered list of blocks. |
type | enum<string> | Yes | The value will always be document_blocks. Available options: document_blocks. |
limit | integer | No | The limit that was used for these entries. This will be the same as the limit query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API. |
next_marker | string | No | The marker for the start of the next page of results. Can be null. |
Example
Box Hub Document Page
A Page in the Box Hub Document.Attributes and example
Attributes and example
| Property | Type | Required | Description |
|---|---|---|---|
id | string | Yes | The unique identifier for this page. |
type | string | Yes | The type of this resource. The value is always page. |
parent_id | string | No | The unique identifier of the parent page. Null for root-level pages. Can be null. |
title_fragment | string | Yes | The title text of the page. Includes rich text formatting. |
Example
Box Hub Document Pages
A list of Hub Document Pages.Attributes and example
Attributes and example
| Property | Type | Required | Description |
|---|---|---|---|
entries | array of Box Hub Document Page | Yes | Ordered list of pages. |
type | enum<string> | Yes | The value will always be document_pages. Available options: document_pages. |
limit | integer | No | The limit that was used for these entries. This will be the same as the limit query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API. |
next_marker | string | No | The marker for the start of the next page of results. Can be null. |
Example
Box Hub Item List Block
An item list block in the Box Hub Document.Attributes and example
Attributes and example
| Property | Type | Required | Description |
|---|---|---|---|
id | string | Yes | The unique identifier for this block. |
parent_id | string | No | The unique identifier of the parent block. Null for direct children of the page. Can be null. |
type | enum<string> | Yes | The type of this block. The value is always item_list. Available options: item_list. |
Example
Box Hub Paragraph Text Block
A paragraph block in the Box Hub Document.Attributes and example
Attributes and example
| Property | Type | Required | Description |
|---|---|---|---|
id | string | Yes | The unique identifier for this block. |
parent_id | string | No | The unique identifier of the parent block. Null for direct children of the page. Can be null. |
type | enum<string> | Yes | The type of this block. The value is always paragraph. Available options: paragraph. |
fragment | string | Yes | Text content of the block. Includes rich text formatting. |
Example
Box Hub Section Title Text Block
A section title block in the Box Hub Document.Attributes and example
Attributes and example
| Property | Type | Required | Description |
|---|---|---|---|
id | string | Yes | The unique identifier for this block. |
parent_id | string | No | The unique identifier of the parent block. Null for direct children of the page. Can be null. |
type | enum<string> | Yes | The type of this block. The value is always section_title. Available options: section_title. |
fragment | string | Yes | Text content of the block. Includes rich text formatting. |
Example
